windows下搭建yaf框架(php)

在搭建好的php环境下,继续搭建yaf框架环境,只需简单几步

下载好相应的版本,据我了解,yaf框架的win版php不能低于5.2.x,所以最好使用高版本的php,我这里是使用的php5以上的,那我下载php5的版本。所谓的NTS和ZTS在这里我认为是按照Thread Safety来说的,如果你的Thread Safety是enabled那就下载zts,反之的话 那就下载nts吧。点击去下载

yaf有TS和NTS版本,先查看下自己php的版本,用phpinfo()查看下thread safety项,如果为enabled的话,选择TS版本,反之选择NTS版本

下载完成后,将下载的php_yal.dll文件添加到php的ext文件下。然后修改php.ini配置文件,添加一句:extension=php_yal.dll就可以了。
再次查看phpinfo()的时候,就会出现yaf的配置信息了,这样就算完成了
94cad1c8a786c917e1237dbdca3d70cf3bc75715

Last modification:October 1st, 2017 at 09:24 pm
If you think my article is useful to you, please feel free to appreciate

Leave a Comment